Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158404 - /etc/httpd/conf/Makefile of httpd is an unpackaged file
Summary: /etc/httpd/conf/Makefile of httpd is an unpackaged file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-21 19:17 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.54-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 13:39:57 UTC


Attachments (Terms of Use)

Description Robert Scheck 2005-05-21 19:17:46 UTC
Description of problem:
Rebuilding of httpd against latest Rawhide ends with:

[...]
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/httpd-root
Error: Installed (but unpackaged) file(s) found:
   /etc/httpd/conf/Makefile

Version-Release number of selected component (if applicable):
httpd-2.0.54-9
rpm-4.4.1-19

How reproducible:
Everytime, try to rebuilt httpd with latest Rawhide.

Actual results:
Rebuilding ends with an error message.

Expected results:
Rebuilding without any error.

Additional info:
I guess this bug got visible trough the symlink change in rpm 4.4.1-19, which 
originally solved bug #108778.

Comment 1 Robert Scheck 2005-05-22 11:22:51 UTC
My personal suggested solution for this bugreport would be:

--- httpd.spec       2005-05-22 13:13:44.000000000 +0200
+++ httpd.spec.rsc   2005-05-22 13:15:27.000000000 +0200
@@ -294,9 +298,6 @@
 install -m 644 $RPM_SOURCE_DIR/httpd.sysconf \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/httpd

-# Makefiles for certificate management
-ln -s ../../../usr/share/ssl/certs/Makefile $RPM_BUILD_ROOT/etc/httpd/conf
-
 # for holding mod_dav lock database
 mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/dav


Comment 2 Joe Orton 2005-05-23 13:39:57 UTC
Thanks Robert; applied in Raw Hide/FC4-pending.


Note You need to log in before you can comment on or make changes to this bug.